<form name="editForm" role="form" novalidate (ngSubmit)="pushData()" #editForm="ngForm">
    <div class="modal-header">
        <h6 class="modal-title" id="mySLLabel">Cari Shipping List</h6>
        <!-- <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button> -->
    </div>
    <!-- (onRowSelect)="onRowSelect($event)" -->
    <div class="modal-body">
        <p-dataTable
            [value]="packageReceipts"
            [editable]="false"
            [rows]="itemsPerPage"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]"
            [totalRecords]="totalItems"
            [responsive]="true"
            [lazy]="true"
            [(first)]="first"
            [(selection)]="selected"
            (onRowSelect)="onRowSelect($event)"
            row="itemsPerPage"
            totalRecords="totalItems"
            dataKey="idPackage"
            expandableRows="false"
            rowHover="true"
            (onLazyLoad)="loadDataLazy($event)"
            selectionMode="single">
            <p-header>
            
            </p-header>
            <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
            <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor Shipping List">
                <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.documentNumber}}
                </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
        </p-dataTable>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clearPage()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit"
            label="{{'entity.action.select' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</div>
<div style="margin-top: 10px;"></div>